Bug 237560 - turn on CONFIG_IPMI_PANIC flags
turn on CONFIG_IPMI_PANIC flags
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-23 15:33 EDT by Andrew Cress
Modified: 2012-06-20 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cress 2007-04-23 15:33:50 EDT
Description of problem (feature request):
When a Linux system panics, there are frequently no clues left after it 
reboots.  While lkcd and other debug tools are fine for the lab, most 
production customers do not want the extra boot time and configuration that 
these require.  For Linux systems that support IPMI, another option is 
available within the OpenIPMI kernel driver module:  CONFIG_IPMI_PANIC_EVENT 
and CONFIG_IPMI_PANIC_STRING allow the IPMI firmware BMC to save the Linux 
panic string in its SEL (NVRAM), which can then be used to 
1) know that a panic did occur
2) match this with a known problem/resolution from previous debug

I am proposing that these two CONFIG_PANIC parameters be turned on by default 
in the RedHat EL kernels.  I don't see that there are any drawbacks to doing 
so, and there are clear benefits.
Comment 1 Phil Knirsch 2007-04-24 04:09:46 EDT
As this is a kernel config parameter i'm reassigning this to the kernel team so
they are aware of this request.

Thanks,

Read ya, Phil
Comment 2 Jiri Pallich 2012-06-20 12:56:51 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.